Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.webflow
Class FlowSerializedView

    java.lang.Object
      org.springframework.faces.webflow.FlowSerializedView

All Implemented Interfaces:
  java.io.Serializable

    public class FlowSerializedView

extends java.lang.Object
implements java.io.Serializable

Serialized UIViewRoot stored in view scope associated with a Web Flow View State.

Author:
  Jeremy Grelle
See Also:
  Serialized Form

Constructor Summary
`FlowSerializedView(java.lang.String viewId, java.lang.Object treeStructure, java.lang.Object componentState)` Creates a new serialized view

Method Summary
`java.lang.Object[]` | `asTreeStructAndCompStateArray()`
`java.lang.Object` | `getComponentState()`
`java.lang.Object` | `getTreeStructure()`
`java.lang.String` | `getViewId()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FlowSerializedView

    public FlowSerializedView(java.lang.String viewId,
                              java.lang.Object treeStructure,
                              java.lang.Object componentState)

  Creates a new serialized view

  Parameters:
    `viewId` - the view id
    `treeStructure` - the tree structure of the view
    `componentState` - the component state

Method Detail

### getViewId

    public java.lang.String getViewId()

### getTreeStructure

    public java.lang.Object getTreeStructure()

### getComponentState

    public java.lang.Object getComponentState()

### asTreeStructAndCompStateArray

    public java.lang.Object[] asTreeStructAndCompStateArray()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD